@font-face {
    font-family: 'Muli Regular';
    font-style: normal;
    font-weight: normal;
    src: local('Muli Regular'), url('https://spacetec.aerolas.de/wp-content/themes/aerolasspace/fonts/Muli-Regular.woff') format('woff');
}

@font-face {
    font-family: 'Muli Bold';
    font-style: normal;
    font-weight: normal;
    src: local('Muli Bold'), url('fonts/Muli-Bold.woff') format('woff');
}

@font-face {
    font-family: 'Open Sans';
    src: url('fonts/OpenSans-Regular.eot');
    src: local('fonts/Open Sans Regular'), local('fonts/OpenSans-Regular'),
        url('fonts/OpenSans-Regular.eot?#iefix') format('embedded-opentype'),
        url('fonts/OpenSans-Regular.woff2') format('woff2'),
        url('fonts/OpenSans-Regular.woff') format('woff'),
        url('fonts/OpenSans-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

body {
    font-family: 'Open Sans';
    width: 100%;
}

.desktopversion {
    display: block;
}

.mobileversion {
    display: none;
}

.position-absolute {
    top: 84%;
    left: 36%;
    color: white;
    background-color: rgba(67, 66, 66, 0.7);
    padding: 20px;
}

.spacebutn {
    background-color: rgb(188, 23, 20);
    background-color: white;
    border-radius: 6px;
    border: 1px solid rgb(188, 23, 20);
    display: inline-block;
    cursor: pointer;
    color: red;
    font-family: "Muli Regular";
    font-size: 18px;
    padding: 6px 24px;
    text-decoration: none;
}

.spacebutn:hover {
    color: black;
}

.textmobil {
    padding: 20px;
}

.position-absolute a {
    color: white;
}

.herobutton {
    position: absolute;
    top: 610px;
    left: 18%;
    float: right;
    z-index: 11;
}

.position-absolute a:hover {
    color: red;
}

.fadethisdiv {
    opacity: 0;
}

.hiddenhero {
    display: none;
}

.navbar-dark .navbar-toggler {
    border-color: transparent !important;
}

h3 {
    font-size: 1.6rem;
    color: red;
}

h4 {
    font-size: 1.3rem;
}

h5 {
    font-size: 1.3rem;
    color: red;
}

.headline1 {
    color: white;
    font-family: 'Muli Bold';
    text-transform: uppercase;
    font-size: 90px;
    line-height: 1.0;
}

.contactmobil {
    display: none;
}

.contactleft {
    float: left;
    width: 50%;
    max-width: 800px;
    padding-left: 60px;
    font-size: 1.3rem;
    height: auto;
}

.contactright {
    float: right;
    width: 50%;
    max-width: 800px;
    font-size: 1.3rem;
    height: auto;
    padding-right: 20px;
}

.herologo {
    position: absolute;
    top: 600px;
    left: 66%;
    float: right;
    z-index: 10;
}

.roll1 {
    position: absolute;
    top: 330px;
    left: 160px;
    background-color: rgb(0, 0, 0);
    color: white;
    height: auto;
    width: auto;
    max-width: 380px;
    padding: 10px;
    z-index: 10;
}

.roll2 {
    position: absolute;
    top: 330px;
    left: 160px;
    background-color: rgb(0, 0, 0);
    color: white;
    height: auto;
    width: auto;
    max-width: 380px;
    padding: 10px;
    z-index: 10;
}

.roll3 {
    position: absolute;
    top: 330px;
    left: 160px;
    background-color: rgb(0, 0, 0);
    color: white;
    height: auto;
    width: auto;
    max-width: 380px;
    padding: 10px;
    z-index: 10;
}

.subline {
    font-size: 1.6rem;
    text-align: center;
}

.logotext {
    position: absolute;
    left: 50%;
    transform: translate(-50%, -50%);
    bottom: -20px;
    margin: 0 auto;
    text-align: center;
}

.lefttext {
    position: relative;
    top: 0;
    float: left;
    width: 50%;
    max-width: 1000px;
    padding-left: 0px;
    font-size: 1.3rem;
    height: auto;
}

.righttext {
    position: relative;
    top: 0;
    float: right;
    width: 50%;
    max-width: 1000px;
    font-size: 1.3rem;
    height: auto;
    padding-right: 0px;
}

.ms-auto {
    margin-left: 60px !important;
}

main {
    max-width: 1100px;
    margin: 0 auto;
}

.scroll-arrow {
    position: relative;
    top: 0;
    left: 45%;
    width: 24px;
    height: 24px;
    color: white;
    border: 0px solid white;
    border-top: none;
    border-left: none;
    animation: bounce 1s infinite;
    background-image: url(img/pfeilrot.svg);
}

@keyframes bounce {
    0% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(10px);
    }

    100% {
        transform: translateY(0);
    }
}

#problem {
    scroll-margin-top: 80px;

    /* Oder padding-top: 80px;
Version: 1.1

Theme Name: Aerolas-Space
*/
}

#dynamics {
    scroll-margin-top: 80px;

    /* Oder padding-top: 80px; */
}

#effective {
    scroll-margin-top: 80px;

    /* Oder padding-top: 80px; */
}

#torque {
    scroll-margin-top: 80px;

    /* Oder padding-top: 80px; */
}

#mastering {
    scroll-margin-top: 80px;

    /* Oder padding-top: 80px; */
}

#matter {
    scroll-margin-top: 80px;

    /* Oder padding-top: 80px; */
}

#roadmap {
    scroll-margin-top: 80px;

    /* Oder padding-top: 80px; */
}

#contact {
    scroll-margin-top: 80px;

    /* Oder padding-top: 80px; */
}

.imgs {
    width: 100%;
    max-width: 600px;
    height: auto;
    border-radius: 25px 0px 0px 25px;
}

.imgs1 {
    width: 100%;
    max-width: 600px;
    height: auto;
    border-radius: 0px 25px 25px 0px;
}

.mulifont {
    font-family: 'Muli Regular';
    font-size: 1.2rem;
}

.logo {
    width: 100%;
    max-width: 280px;
    display: block;
    heigth: auto;
    padding-top: 10px;
}

.logo1 {
    padding-top: 10px;
    padding-right: 20px;
    width: 100%;
    max-width: 200px;
    height: auto;
}

.polepos {
    position: relative;
    top: -50px;
    left: -40px;
}

.extracolor {
    color: #073E84;
}

.extracolor2 {
    color: #00B0F0;
}

a {
    color: #073E84;
    text-decoration: none;
}

.btnneu {
    background-color: rgb(188, 23, 20);
    border-radius: 6px;
    display: inline-block;
    cursor: pointer;
    color: white;
    font-family: "Muli Regular";
    font-size: 18px;
    padding: 6px 24px;
    text-decoration: none;
}

.btnneu:hover {
    background-color: rgb(223, 55, 53);
    color: white;
}

/* drop text start */
/* Typewriter effect 1 */
@keyframes typing {
    0%,
    100% {
        content: "Heaven can wait,\A but space cannot";
        white-space: pre;
    }

    5% {
        content: "Heaven";
        white-space: pre;
    }

    10% {
        content: "Heaven can";
        white-space: pre;
    }

    15% {
        content: "Heaven can wait,";
        white-space: pre;
    }

    45% {
        content: "Heaven can wait,\A but";
        white-space: pre;
    }

    50% {
        content: "Heaven can wait,\A but space";
        white-space: pre;
    }

    55% {
        content: "Heaven can wait,,\A but space cannot";
        white-space: pre;
    }

    75% {
        content: "Heaven can wait,\A but space cannot";
        white-space: pre;
    }
}

@keyframes blink {
    0%,
    100% {
        opacity: 1;
    }

    50% {
        opacity: 0;
    }
}

.typewriter {
    --caret: currentcolor;
}

.typewriter::before {
    content: "";
    animation: typing 3.5s infinite;
}

.typewriter::after {
    content: "";
    border-right: 1px solid var(--caret);
    animation: blink 0.5s linear infinite;
}

.typewriter.thick::after {
    border-right: 1ch solid var(--caret);
}

.typewriter.nocaret::after {
    border-right: 0;
}

@media (prefers-reduced-motion) {
    .typewriter::after {
        animation: none;
    }

    @keyframes sequencePopup {
        0%,
        100% {
            content: "developer";
        }

        25% {
            content: "writer";
        }

        50% {
            content: "reader";
        }

        75% {
            content: "human";
        }
    }

    .typewriter::before {
        content: "developer";
        animation: sequencePopup 12s linear infinite;
    }
}

/* drop text */
.charakters {
    width: 100%;
    max-width: 120px;
    padding-right: 20px;
}

.rowpadding {
    padding-right: 20px;
}

.poster2 {
    background-image: url("../img/satellit_1.jpg");
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    background-color: #000000;
}

.hero-header {
    background-image: url('./img/AeroLas_Space_top.jpg');
    background-color: #000000;

    /* Replace with your image */
    background-size: cover;
    height: 720px;

    /* Or set a specific height */
    background-position: center;
    background-repeat: no-repeat;
    font-family: 'Open Sans';
    margin-top: 0px;
    width: 100%;
}

.hero-content {
    text-align: center;
    padding: 20px;
    font-family: 'Open Sans';
    width: auto;
}

.nav-item {
    padding: 6px;
}

.nav-link {
    color: #ffffff;
    font-size: 12px;
}

.nav-link:hover {
    color: #ff0000;
    font-size: 12px;
}

.navbar-toggler-icon {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba(255, 0, 0, 1)' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e") !important;
}

.herotext {
    position: relative;
    top: 50px;
    text-align: center;
    max-width: 800px;
    height: auto;
    background-color: rgba(0, 0, 0, 0.0);
    padding: 20px;
}

.white1 {
    color: white;
}

@media (max-width: 1050px) {
    .herotext {
        position: relative;
        top: 60px;
        left: 0;
        max-width: 640px;
        height: auto;
        padding: 20px;
    }

    .headline1 {
        font-size: 60px;
    }

    .fadethisdiv {
        opacity: 1;
    }

    .ms-auto {
        margin-left: auto !important;
    }
}

@media (max-width: 800px) {
    .desktopversion {
        display: none;
    }

    .mobileversion {
        display: block;
    }

    .herotext {
        position: relative;
        top: 100px;
        left: 4%;
        max-width: 640px;
        height: auto;
        padding: 20px;
    }

    .logo {
        display: none;
    }

    .logo1 {
        display: block;
    }

    .headline1 {
        font-size: 50px;
    }

    .herologo {
        position: absolute;
        top: 500px;
        left: 40%;
        float: right;
        z-index: 10;
    }

    .herobutton {
        position: absolute;
        top: 650px;
        left: 36%;
        float: left;
        z-index: 11;
    }
}

@media (max-width: 700px) {
    .mobilebilder {
        display: block;
    }

    .newheigth {
        min-height: 600px;
    }

    .righttext {
        min-height: 700px;
    }

    .heightbilder {
        height: auto;
    }

    .lefttext {
        float: left;
        width: 100%;
        padding-left: 40px;
        height: auto;
    }

    .righttext {
        float: left;
        width: 100%;
        max-width: 800px;
        padding-left: 40px;
        height: auto;
    }

    .rightimg {
        float: left;
        width: 100%;
        max-width: 760px;
        min-height: 650px;
    }

    .leftimg {
        float: left;
        width: 100%;
        max-width: 700px;
        max-height: 440px;
        height: auto;
    }

    .imgs {
        width: 100%;
        max-height: 500px;
        border-radius: 0px 0px 0px 0px;
    }

    .imgs1 {
        width: 100%;
        max-height: 500px;
        border-radius: 0px 0px 0px 0px;
    }

    .imgsmobil {
        width: 100%;
        max-height: 800px;
        border-radius: 0px 0px 0px 0px;
    }

    .leftimg {
        display: none;
    }

    .contactleft {
        width: 100%;
    }

    .contactright {
        width: 100%;
    }

    .herologo {
        position: absolute;
        top: 500px;
        left: 50%;
        transform: translate(-50%, -50%);
        z-index: 10;
    }

    .herobutton {
        position: absolute;
        top: 620px;
        left: 50%;
        transform: translate(-50%, -50%);
        z-index: 11;
    }

    .contactdesk {
        display: none;
    }

    .contactmobil {
        display: block;
    }

    .subline {
        font-size: 1.2rem;
    }
}

/* Optional: Adjust font sizes for responsiveness */
@media (max-width: 768px) {
    .hero-header h1 {
        font-size: 2.5rem;
    }

    .hero-header p {
        font-size: 1rem;
    }

    .col-sm {
        flex: 1 0 0%;
    }

    .row-cols-sm-auto > * {
        flex: 0 0 auto;
        width: auto;
    }

    .row-cols-sm-6 > * {
        flex: 0 0 auto;
        width: 16.66666667%;
    }

    .col-sm-6 {
        flex: 0 0 auto;
        width: 100%;
    }

    .offset-sm-6 {
        margin-left: 50%;
    }
}

@media (max-width: 600px) {
    .containerA {
        width: 99%;
    }

    .hero-header {
        background-image: url('./img/AeroLas_Space_top.jpg');

        /* Replace with your image */
        background-size: cover;
        height: 640px;

        /* Or set a specific height */
        background-position: center;
        background-repeat: no-repeat;
        font-family: 'Open Sans';
        margin-top: 0px;
    }

    .herotext {
        position: relative;
        top: 60px;
        left: 1%;
        max-width: 640px;
        height: auto;
        padding: 6px;
    }

    .headline1 {
        font-size: 36px;
    }

    .subline {
        font-size: 15px;
    }

    .polepos {
        position: relative;
        top: -30px;
        left: -40px;
    }

    .herologo {
        position: absolute;
        top: 340px;
        z-index: 10;
    }

    .herobutton {
        position: absolute;
        top: 440px;
        z-index: 11;
    }

    .spacebutn {
        font-size: 16px;
    }

    .ms-auto {
        margin-left: auto !important;
    }

    .logo {
        width: 100%;
        max-width: 300px;
    }
}

@media (max-width:400px) {
    .hero-header {
        min-height: 580px;
    }

    .polepos {
        position: relative;
        top: -30px;
        left: -10px;
    }

    .lefttext {
        float: left;
        width: 100%;
        max-width: 380px;
        padding-left: 40px;
    }

    .righttext {
        float: left;
        width: 100%;
        max-width: 380px;
        padding-left: 40px;
    }

    .rightimg {
        float: left;
        width: 100%;
        max-height: 440px;
    }

    .leftimg {
        float: left;
        width: 100%;
        max-height: 440px;
    }

    .logo {
        width: 100%;
        max-width: 220px;
    }

    .herologo {
        position: absolute;
        top: 380px;
        z-index: 10;
    }

    .herobutton {
        position: absolute;
        top: 480px;
        z-index: 11;
    }

    .subline {
        font-size: 14px;
    }
}

@media (max-width:360px) {
    .herologo {
        position: absolute;
        top: 380px;
        left: 14%;
        float: right;
        z-index: 10;
    }

    .herobutton {
        position: absolute;
        top: 470px;
        left: 14%;
        float: left;
        z-index: 11;
    }
}

@media (max-width:991px) {
    body.poster {
        margin-top: 40vh;
    }

    .polepos {
        top: -20px;
    }
}

body.poster {
    background-attachment: fixed;
}
